You are here: eSignLive Documentation > Online Guides > Classic Application User's Guide > Classic Application User's Guide

Classic Application User's Guide

Introduction

The eSignLive Application (see Architecture) currently offers two User Experiences:

  • The New User Experience for senders and administrators. For sender and administrator actions, this experience represents an enhancement over the Classic User Experience. It became available to: (1) eSignLive users in eSignLive 6.1 and (2) eSignLive users in eSignLive 11. This experience is described by the New Application User's Guide.
  • The Classic User Experience for signers, senders and administrators. This experience became available to eSignLive users in eSignLive 6.0, long before eSignLive 11, and is still available. This experience is described by the Classic Application User's Guide, which is this document.

This chapter contains the following sections, which introduce the Classic User Experience:

The guide's remaining chapters describe how the following types of users can interact with the Classic User Experience to accomplish their tasks:

Minimum Requirements for Signers and Senders

This is a list of supported environments for the eSignLive service. In general, our dependencies are on the browser and not on lower-level components. These requirements are subject to change.

Operating Systems

  • Windows XP, 7, 8, 8.1, 10 (except touch-screen devices)
  • Mac OS X

Browsers

  • Internet Explorer 8, 9, 10, 11
  • Edge
  • Chrome
  • Firefox
  • Safari (MacOS)
  • Opera
  • NOTE: In all cases, cookies must be enabled.

    WARNING: All combinations of the above browsers and operating systems are supported except Internet Explorer 8 on Windows XP. That combination is not supported because it doesn't meet our Minimum Security Requirements.

Devices

  • iOS - Safari
  • Android - Android Browser
  • Windows 8.x - IE 10, 11
  • If you experience any issues on your mobile device, please contact Technical Support (support@eSignLive.com; 1-855-MYESIGN)..

PDF Viewers

Acrobat or similar software may be required to view and print PDF files.